List themes

Returns the themes your pages can use: the themes your account created and the built-in (global) themes, sorted by id from highest to lowest, so a theme you create appears before older ones. Built-in themes were installed together, so their order doesn't follow createdAt. A retired built-in theme is only listed while one of your pages uses it.

GET/v1/themes/

Authorization

api_key_auth
AuthorizationBearer <token>

API key authentication. Use "Bearer YOUR_API_KEY" format.

In: header

Query Parameters

limit?string

The number of results per page. Minimum value is 1 and maximum is 100. Defaults to 20.

starting_after?string

A cursor value specifying the id of a resource to start before. Retrieves items that appear after this cursor in the list. Cannot be used together with ending_before.

Match^[0-9a-fA-F]{24}$
ending_before?string

A cursor value specifying the id of a resource to end after. Retrieves items that appear before this cursor in the list. Cannot be used together with starting_after.

Match^[0-9a-fA-F]{24}$
scope?string

Only return built-in themes (global) or themes your account created (seller).

Value in"global" | "seller"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.checkoutpage.com/v1/themes/"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "scope": "global",
      "deprecated": true,
      "createdAt": "string",
      "updatedAt": "string",
      "variables": {
        "tokens": {
          "colorPrimary": {
            "light": "string",
            "dark": "string"
          },
          "colorSecondary": {
            "light": "string",
            "dark": "string"
          },
          "textPrimary": {
            "light": "string",
            "dark": "string"
          },
          "textSecondary": {
            "light": "string",
            "dark": "string"
          },
          "textTertiary": {
            "light": "string",
            "dark": "string"
          },
          "colorBackground": {
            "light": "string",
            "dark": "string"
          },
          "colorSurface": {
            "light": "string",
            "dark": "string"
          },
          "colorSurfaceAccent": {
            "light": "string",
            "dark": "string"
          },
          "radius": "none",
          "colors": "light",
          "fontMain": {
            "family": "string"
          },
          "fontHeading": {
            "family": "string",
            "size": "xs",
            "weight": 100
          },
          "fontBody": {
            "family": "string",
            "size": "xs",
            "weight": 100
          }
        },
        "layout": {
          "centerLayout": {
            "backgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "contentBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "formBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "backgroundImage": {
              "file": "string",
              "url": "string",
              "name": "string",
              "size": 0,
              "width": 0,
              "height": 0
            },
            "backgroundPosition": "center"
          },
          "doubleLayout": {
            "contentBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "formBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "formPosition": "right",
            "backgroundWidth": "half"
          },
          "splitLayout": {
            "backgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "contentBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "formBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "backgroundImage": {
              "file": "string",
              "url": "string",
              "name": "string",
              "size": 0,
              "width": 0,
              "height": 0
            },
            "backgroundPosition": "center",
            "mainColumn": "left"
          },
          "shadowColor": {
            "light": "string",
            "dark": "string"
          },
          "shadowWidth": ""
        },
        "elements": {
          "container": {
            "styles": {
              "backgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "color": {
                "light": "string",
                "dark": "string"
              }
            }
          },
          "product": {
            "styles": {
              "backgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "color": {
                "light": "string",
                "dark": "string"
              },
              "textAlign": "left"
            },
            "title": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                },
                "fontFamily": "string",
                "fontStyle": "",
                "fontWeight": 100,
                "fontSize": ""
              },
              "enabled": true
            },
            "pricing": {
              "price": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "interval": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "discountedFromPrice": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "trialPeriod": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "startDate": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "planIterations": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "prorationRenews": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "prorationAmount": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "setupFee": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "badge": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "enabled": true
            },
            "logo": {
              "hostedPageLogoStyle": "logoBanner",
              "logoBanner": {
                "bannerStyle": "full",
                "styles": {
                  "size": "",
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "logoBubble": {
                "styles": {
                  "size": "",
                  "textAlign": "left",
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "enabled": true
            },
            "store": {
              "logo": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "textAlign": "left"
                }
              },
              "logoWithStoreName": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              }
            },
            "event": {
              "date": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "enabled": true
              },
              "location": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "enabled": true
              },
              "virtual": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "enabled": true
              }
            },
            "pricePicker": {
              "enabled": true,
              "tabs": {
                "enabled": true,
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "paddingBottom": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "name": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "option": {
                "enabled": true,
                "price": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "interval": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "discountedFromPrice": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "setupFee": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "trialPeriod": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "startDate": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "planIterations": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "prorationRenews": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "prorationAmount": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontWeight": 100,
                  "fontStyle": "",
                  "fontSize": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "indicator": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "size": "",
                    "borderWidth": "",
                    "borderRadius": 0,
                    "shape": "dot"
                  },
                  "selectedStyles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "badge": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": "",
                    "padding": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "pwywInput": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": "",
                    "paddingX": "",
                    "paddingY": "",
                    "boxShadow": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "placeholderStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "pwywLabel": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "paddingBottom": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "pwywSuffix": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "label": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "description": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "position": "content",
              "groupBy": "auto",
              "groupingMode": "horizontal",
              "layout": "list",
              "horizontalAlign": "left",
              "verticalAlign": "top",
              "pwywDisplay": "inline",
              "title": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": "",
                  "paddingBottom": ""
                }
              },
              "description": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "styles": {
                "gap": ""
              }
            }
          },
          "description": {
            "styles": {
              "backgroundColor": {
                "light": "string",
                "dark": "string"
              }
            },
            "headings": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              }
            },
            "body": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              }
            },
            "links": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              }
            },
            "quotes": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              }
            },
            "bullets": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                },
                "fontSize": ""
              },
              "align": "top",
              "type": "dot"
            },
            "collapsibles": {
              "title": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "body": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "icon": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "type": "chevron"
              },
              "border": {
                "enabled": true,
                "styles": {
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": ""
                }
              }
            }
          },
          "checkout": {
            "styles": {
              "backgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "color": {
                "light": "string",
                "dark": "string"
              },
              "borderColor": {
                "light": "string",
                "dark": "string"
              },
              "borderWidth": "",
              "borderRadius": "",
              "padding": ""
            },
            "divider": {
              "styles": {
                "borderColor": {
                  "light": "string",
                  "dark": "string"
                }
              },
              "enabled": true
            },
            "form": {
              "styles": {
                "backgroundColor": {
                  "light": "string",
                  "dark": "string"
                },
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              },
              "fields": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "field": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "label": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "paddingBottom": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "input": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": "",
                    "paddingX": "",
                    "paddingY": "",
                    "boxShadowColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "boxShadow": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderRadius": 0
                  },
                  "placeholder": {
                    "enabled": true
                  },
                  "placeholderStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "quantitySelector": {
                  "icon": {
                    "styles": {
                      "color": {
                        "light": "string",
                        "dark": "string"
                      },
                      "size": ""
                    }
                  },
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": ""
                  }
                },
                "description": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "paddingTop": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                }
              },
              "groups": {
                "styles": {
                  "gap": "",
                  "rowGap": "",
                  "alignItems": "start"
                },
                "phones": "stack"
              },
              "heading": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "subheading": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "divider": {
                "styles": {
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderStyle": "",
                  "width": "",
                  "marginTop": "",
                  "marginBottom": ""
                },
                "enabled": true
              },
              "button": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "hoverStyles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "priceOnButton": {
                  "enabled": true
                }
              },
              "discountCode": {
                "link": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "applyButton": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "code": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "discount": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                }
              },
              "manualPayments": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": 0
                },
                "name": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                },
                "description": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                },
                "instructions": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                }
              },
              "priceBreakdown": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": "",
                  "alignment": ""
                },
                "subtotal": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "orderBump": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "ticket": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "ticketFee": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "setupFee": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "bulkDiscount": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "couponDiscount": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "fees": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "processingFeeContribution": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "tax": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "startDate": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "trial": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "dueNow": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "proration": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "total": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                },
                "enabled": true
              },
              "coverProcessingFees": {
                "selector": "checkbox",
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "checkbox": {
                  "styles": {
                    "size": "",
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderRadius": "",
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "selectedStyles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "switch": {
                  "styles": {
                    "size": "",
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "selectedStyles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "indicator": {
                  "styles": {
                    "shape": "dot",
                    "size": "",
                    "borderRadius": "",
                    "borderWidth": "",
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "selectedStyles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "label": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "amount": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "orPayWithCard": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "enabled": true
              },
              "securePayments": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "pwyw": {
                "enabled": true,
                "minPrice": {
                  "enabled": true
                }
              },
              "stripeCardElement": {
                "input": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                }
              }
            },
            "cards": {
              "styles": {
                "backgroundColor": {
                  "light": "string",
                  "dark": "string"
                },
                "borderColor": {
                  "light": "string",
                  "dark": "string"
                },
                "borderWidth": "",
                "borderRadius": ""
              },
              "selectedStyles": {
                "backgroundColor": {
                  "light": "string",
                  "dark": "string"
                },
                "borderColor": {
                  "light": "string",
                  "dark": "string"
                }
              },
              "detail": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "name": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "description": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "price": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "discountedFromPrice": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "groupName": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "badge": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              }
            },
            "variants": {
              "position": "form",
              "variantOptions": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "name": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "description": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "price": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "discountedFromPrice": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "planIterations": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "plusSign": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "pwywInput": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": "",
                    "paddingX": "",
                    "paddingY": "",
                    "boxShadow": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "placeholderStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "pwywSuffix": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "name": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              }
            },
            "ticketGroups": {
              "position": "form",
              "ticketTypes": {
                "quantitySelector": "dropdown",
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "name": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "description": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "price": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "discountedFromPrice": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "fee": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "remaining": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "saleDate": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "total": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "name": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "description": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              }
            },
            "statusBadges": {
              "styles": {
                "fontFamily": "string",
                "fontStyle": "",
                "fontWeight": 100,
                "fontSize": ""
              },
              "soldOutColor": {
                "light": "string",
                "dark": "string"
              },
              "soldOutBackgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "canceledColor": {
                "light": "string",
                "dark": "string"
              },
              "canceledBackgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "unavailableColor": {
                "light": "string",
                "dark": "string"
              },
              "unavailableBackgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "onSaleSoonColor": {
                "light": "string",
                "dark": "string"
              },
              "onSaleSoonBackgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "notOnSaleColor": {
                "light": "string",
                "dark": "string"
              },
              "notOnSaleBackgroundColor": {
                "light": "string",
                "dark": "string"
              }
            },
            "confirmation": {
              "mark": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "size": ""
                }
              },
              "heading": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "text": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              }
            },
            "pwyw": {
              "label": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "focusStyles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "input": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "paddingX": "",
                  "paddingY": "",
                  "boxShadow": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "focusStyles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "placeholderStyles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "suffix": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "position": "content-top"
            }
          },
          "poweredByStripe": {
            "styles": {
              "badgeStyle": "auto"
            },
            "enabled": true
          },
          "poweredByCheckoutPage": {
            "enabled": true
          }
        },
        "customCss": "string",
        "labels": {
          "soldByText": "string",
          "intervalCountText": "string",
          "dayText": "string",
          "weekText": "string",
          "monthText": "string",
          "yearText": "string",
          "recurringText": "string",
          "trialDaysFreeText": "string",
          "trialThenText": "string",
          "setupFeeText": "string",
          "cartSetupFeeText": "string",
          "startsOnText": "string",
          "renewsOnText": "string",
          "todayText": "string",
          "proratedAmountText": "string",
          "endsAfterText": "string",
          "endsAfterPaymentsText": "string",
          "variantOptionTotalText": "string",
          "ticketsRemainingText": "string",
          "ticketTypeTotalText": "string",
          "bookingFeeText": "string",
          "ticketFeeIncludesText": "string",
          "canceledText": "string",
          "canceledButtonText": "string",
          "unavailableText": "string",
          "onSaleSoonText": "string",
          "notOnSaleText": "string",
          "startDateText": "string",
          "endDateText": "string",
          "endedAtDateText": "string",
          "virtualEventText": "string",
          "hybridEventText": "string",
          "soldOutText": "string",
          "soldOutButtonText": "string",
          "customerInformationText": "string",
          "emailSuggestionText": "string",
          "addDiscountCodeText": "string",
          "discountCodeText": "string",
          "discountCodePlaceholderText": "string",
          "discountCodeApplyText": "string",
          "payWhatYouWantText": "string",
          "payWhatYouWantPlaceholderText": "string",
          "pwywMinPricePlaceholderText": "string",
          "pwywSuggestedPricePlaceholderText": "string",
          "ticketPwywMinPricePlaceholderText": "string",
          "ticketPwywSuggestedPricePlaceholderText": "string",
          "ticketPwywEnterAmountPlaceholderText": "string",
          "pwywEnterAmountText": "string",
          "orPayWithCardText": "string",
          "cardLabelText": "string",
          "variantIsRequiredText": "string",
          "cartSubtotalText": "string",
          "orderBumpsTitleText": "string",
          "orderBumpCallToActionText": "string",
          "orderBumpShowMoreText": "string",
          "orderBumpShowLessText": "string",
          "showMoreText": "string",
          "showLessText": "string",
          "cartBulkDiscountText": "string",
          "cartCouponDiscountText": "string",
          "cartTaxText": "string",
          "cartTaxIncludedText": "string",
          "processingFeeContributionText": "string",
          "cartTotalOnStartDateText": "string",
          "cartTotalAfterTrialText": "string",
          "cartDueNowText": "string",
          "cartTotalDueText": "string",
          "cartTotalDueProratedAmountText": "string",
          "payButtonText": "string",
          "subscribeButtonText": "string",
          "submitButtonText": "string",
          "getTicketsButtonText": "string",
          "securePaymentsText": "string",
          "scanToOpenText": "string",
          "scanToPayText": "string",
          "upsellNoThanksText": "string",
          "processingPaymentText": "string",
          "viewPaymentHistoryText": "string",
          "viewSubmissionHistoryText": "string",
          "viewDownloadsText": "string",
          "ticketsPurchasedText": "string",
          "addToCalendarText": "string"
        }
      }
    }
  ],
  "total": 0,
  "has_more": true
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}